Subject: Re: Linux 2.6.x on 8xx status

From: Pantelis Antoniou <[email-masked]>
Date: Tue, 21 Sep 2004 14:53:44 +0300

Smith, Craig wrote:

>>Guess what? It WORKED!!! Just one more line make it.
>>Could you pls tell us the theory in it if not too
>>complicated? :-)
>>
>Genius. That patch appears to work for me as well.
>
>However, I'm still not able to debug via gdb/BDI2000.
>I'm getting the ol' "MMU: address translation for 0xc----- failed".
>I'm using the same BDI config file that works fine for debugging
>a 2.4.26 kernel on the same hardware, I've verified that I have
>CONFIG_BDI_SWITCH=y etc. Is this another known issue with 2.6
>on 8xx platforms? Has anyone had success debugging via BDI2000 on an 8xx
>board?
>If so, could you share your config file or hints as to why it should behave
>differently (i.e. not work) with a 2.6 kernel? Thanks.
>
>Regards,
>-Craig
>
>
>
BDI2000 does not work for 8xx 2.6 ATM.

Dan should probably get it to work when he has time.
At least that's what I hope...

Regards

Pantelis